# Практика. ИВТ 1 курс  

## Инвариантные работы 

[1.1 Философские проблемы информатики](# Философские проблемы информатики. Аннонтированный список.)   
[1.2 История развития информатики](# Этапы в истории развития информатики и их социальные последствия.)  
[1.3 Стандарты и спецификации в сфере ИТ](# Стандарты и спецификации в сфере ИТ)  
[1.4  Комплекс физических упражнений для программиста.](# Rомплекс физических упражнений для программиста.)  
[1.5 Инструкция по охране труда программиста](x)
1.6  
1.7  
1.8  
1.9  
1.10  
1.11  

 

## Вариантные работы

2.1  
2.2  
2.3  
2.4  


  ***
  

### ***Философские проблемы информатики. Аннотированный список***

+ [Слежка за пользователями](https://www.kaspersky.ru/blog/big-brotherhood-web-trackers/6853/)  
В статье описывается как происходит слежка за пользоватеями через интернет, способы защиты, конечно же с рекламой антивируса

+ [Вред социальных сетей: влияние на психику](http://nperov.ru/osnovi/vred-socialnyx-setej-vliyanie-na-psixiku/)  
Ресурс о том, как увлечение социальными сетями вроде Контакта, Фейсбука, Одноклассников, Твиттера может негативно сказаться на психическом здоровье человека.

+ [Вытеснение людей с рынка труда роботами](https://www.vedomosti.ru/technology/articles/2015/02/26/umnie-roboti-vitesnyayut-lyudei-s-rinka-truda)  
В данном источнике описывается автоматизация труда, в нектором смысле мотивация к изучению ИТ.

+ [Влияние компьютерных игр на человека](https://poleznii-site.ru/zdorove/chem-opasny-kompyuternye-igry-vliyanie-na-psihiku.html#i-6)  
В статье рассматриваются как вредные, так и полезные качества компьютерных игр относительно человека

+ [Интернет-мошенничество](https://xn--b1aew.xn--p1ai/document/1910260)  
На конкретных примерах рассматривается интернет-мошенничество

+ [Компьютерные вирусы](https://teralex.ru/bezrubriki/kompyuternye-virusy-tipy-vidy-puti-zarazheniya.html)  
В статье рассказывают про компьютерные вирусы. Виды компьютерных вирусов, принципы их работы, пути заражения компьютерными вирусами.

+ [Аварии автопилотируемых машин](https://www.zr.ru/content/articles/919045-avariya-s-avtopilotom-prichiny-i-sledstviya/)  
Статья рассматривает аварию с автопилотом 

  
 *** 

### ***Этапы в истории развития информатики и их социальные последствия***

[![Интеллект карта](https://downloader.disk.yandex.ru/preview/44c54bde3642e25ea5e00dfdbf811ad7c785909749519c311cf72810df7d3d6c/5e434fbb/Ly9QQyrHPbm2jDH0G-rBoQlZi-eUNU0G820Sa3ymSoxj0DS7mFpml_-x9StYbf1-_oywKlquAyVk15Sh2gcq7w==?uid=0&filename=qw12345.PNG&disposition=inline&hash=&limit=0&content_type=image%2Fpng&tknv=v2&owner_uid=251943205&size=1366x657)](https://mm.tt/1413281439?t=6JljZluHj6)

[Полный просмотр интеллект карты](https://mm.tt/1413281439?t=6JljZluHj6)

**Социальные последствия:**
1. Объёмы информации возрастут и человек будет привлекать для её обработки и хранения специальные технические средства.
2.  Неизбежно использование компьютеров.
3. Движущей силой общества станет производство информационного продукта.
4. Увеличится доля умственного труда, т.к. продуктом производства в информационном обществе станут знания и интеллект.
5. Произойдёт переоценка ценностей, уклада жизни и изменится культурный досуг.
6. Развиваются компьютерная техника, компьютерные сети, информационные технологии.
7. У людей дома появляются всевозможные электронные приборы и компьютеризированные устройства.
8. Производством энергии и материальных продуктов будут заниматься машины, а человек главным образом обработкой информации.
9. В сфере образования буде создана система непрерывного образования.
10. Дети и взрослые смогут обучаться на дому с помощью компьютерных программ и телекоммуникаций.
11. Появляется и развивается рынок информационных услуг. 
  
  
***
  
### ***Стандарты и спецификации в сфере ИТ***
**Базовые международные стандарты в ИТ:**
1. **ISO/IEC 12207:1995..** Информационная технология. Процессы жизненного цикла программного обеспечения.
2. **ISO/IEC 9126-1:2000.** Информационная технология. Качество программного обеспечения. Часть 1: Модель качества.
3. **ISO/IEC 9126-1-3: 1998.** Информационная технология - Характеристики и метрики качества программного обеспечения: Часть 1. Характеристики и подхарактеристики качества; Часть 2. Внешние метрики Часть 3. Внутренние метрики (Первое издание).
4. **ISO/IEC 9126:1991.** Информационная технология. Оценка программного продукта. Характеристики качества и руководство по их применению.
5. **ISO/IEC 12119:1994.** Информационная технология. Пакеты программ. Требования к качеству и оценка качества.
6. **ISO/IEC 14598-1:1997.** Информационная технология. Оценивание программного продукта. Часть 1: Общее руководство.
7. **ISO/IEC 14598-4:1999.** Информационная технология. Разработка программных средств. Процессы для заказчика.
8. **ISO/IEC 15288: 2000.** Управление жизненным циклом. Процессы жизненного цикла системы.
9. **ISO 687:1983.** ИТ. Управление конфигурацией программного обеспечения.
10. **ISO 6592:1985.** Информационная технология. Руководство по документации для вычислительных систем.
11. **ISO 6592:1986.** ОИ. Руководство по документации для вычислительных систем.
12. **ISO 9127:1987.** ИТ. Пользовательская и рекламная документация на пакеты программ.
13. **ISO 9294:1990.** TO. ИТ. Руководство по управлению документированием программного обеспечения.
14. **ISO 15846:1998.** ТО. Процессы жизненного цикла программных средств. Конфигурационное управление программными средствами.
15. **MIL-STD-498:1994.** Разработка и документирование программного обеспечения.
16. **ISO TR 9127:1988.** Системы обработки информации - Документация пользователя и сопроводительная информация для пакетов программ потребителя.
17. **ISO 14102:1995.** Информационная технология - Оценивание и выбор инструментальных средств CASE.
18. **IEEE 1063-1993.** Пользовательская документация на программное обеспечение.
19. **IEEE 1074-1995.** Процессы жизненного цикла для развития программного обеспечения.
20. **ANSI/IEEE 828 - 1990.** Планирование управления конфигурацией программного обеспечения.
21. **ANSI/IEEE 829 - 1983.** Документация при тестировании программ.
22. **ANSI/IEEE 983 - 1986.** Руководство по планированию обеспечения качества программных средств.
23. **ANSI/IEEE 1008 - 1986.** Тестирование программных модулей и компонентов ПС.
24. **ANSI/IEEE 1012 - 1986.** Планирование проверки (оценки) (verification) и подтверждения достоверности (validation) программных средств.
25. **ANSI/IEEE 1042 - 1993.** Руководство по планированию управления конфигурацией программного обеспечения.
26. **ANSI/IEEE 1063:1993.** Пользовательская документация на программные средства .
27. **ANSI/IEEE 1219 - 1992.** Сопровождение программного обеспечения.
28. **ISO 8402:1994.** Управление качеством и обеспечение качества – Словарь. Второе издание.
29. **ISO 9000-3:1997.** Стандарты в области административного управления качеством и обеспечения качества. Часть 3. Руководящие указания по применению ISO 9001 при разработке, поставке, монтаже и обслуживании программного обеспечения. Второе издание.  
[*Список стандартов в информационных технологиях*](http://www.garshin.ru/it/_htm/standards/it-standards.htm)

***

### ***Комплекс физических упражнений для программиста***
![gym](https://avatars.mds.yandex.net/get-pdb/33827/b34f88bd-13c3-47f8-be6a-8d847c6c8c0a/s1200)    


**Упражнения для рук:**
1.	Сожмите и разожмите кулаки несколько раз.
2.	Сожмите кулак и сгибайте всю кисть несколько раз вверх-вниз.
3.	Сожмите кулак (не очень крепко) и повращайте кистями в разные стороны.
4.	Сложите пальцы в ровный ряд, отведите большой в сторону и повращайте им.

**Упражнения для спины и шеи:**
1.	Положите сплетенные пальцы рук на затылок, удерживая голову, попробуйте наклонить ее назад.
2.	Проделайте тоже самое, удерживая руки на лбу.
3.	Сядьте на стул. Прикоснитесь ладонями к спинке стула, слегка поворачивая корпус. 
4.	Сядьте на стул и максимально прижимайтесь к спинке лопатками и крестцом. Выполняйте упражнение плавно, вы не должны чувствовать боль.
5.	Встаньте на четвереньки, выгните спину, слегка отклоняя её в стороны. 

***

### ***Гимнастика для глаз***  

Несомненно, подобрать правильный курс восстановления и коррекции зрения поможет хороший офтальмолог. Но также важны и профилактические упражнения, которые могут минимизировать вред от постоянного смотрения в монитор. Вот небольшая подборка хороших упражнений для снятия напряжения с глаз.  

1.	Для улучшения циркуляции глазной жидкости аккуратно помассируйте подушками указательных и средних пальцев роговицу глаза. Повторить 6-8 раз. 
2.	Сфокусируйте свой взгляд на несколько секунд сначала на ближнем предмете, а затем на дальнем. Рекомендуется сделать 10 подходов. Упражнение отлично подойдет для поддержания хрусталика глаза в тонусе и снизит риск близорукости.
3.	Водите глазами в разные стороны – снизу вверх и слева направо. Можно выполнить и круговые движения. Повторить не менее 10 раз. Так мы укрепляем глазодвигательные мышцы.  

Рекомендуется выполнять такую зарядку 2-4 раза в день. Главное помнить, что здесь, как и в спорте, мы плавно переходим от упражнения к упражнению, резкость может только навредить нашим глазам.


***

### ***Инструкция по охране труда программиста***

![qr код](http://qrcoder.ru/code/?http%3A%2F%2Fsysot.ru%2F%25D0%25B8%25D0%25BD%25D1%2581%25D1%2582%25D1%2580%25D1%2583%25D0%25BA%25D1%2586%25D0%25B8%25D1%258F-%25D0%25BF%25D0%25BE-%25D0%25BE%25D1%2585%25D1%2580%25D0%25B0%25D0%25BD%25D0%25B5-%25D1%2582%25D1%2580%25D1%2583%25D0%25B4%25D0%25B0-%25D0%25B4%25D0%25BB%25D1%258F-%25D0%25BF%25D1%2580%25D0%25BE%25D0%25B3%25D1%2580%25D0%25B0%2F&4&0)  
 
Помимо QR-кода можно перейти по обычной [ссылке](https://sysot.ru/%D0%B8%D0%BD%D1%81%D1%82%D1%80%D1%83%D0%BA%D1%86%D0%B8%D1%8F-%D0%BF%D0%BE-%D0%BE%D1%85%D1%80%D0%B0%D0%BD%D0%B5-%D1%82%D1%80%D1%83%D0%B4%D0%B0-%D0%B4%D0%BB%D1%8F-%D0%BF%D1%80%D0%BE%D0%B3%D1%80%D0%B0/)


***
### ***"Квалификационный справочник должностей руководителей, специалистов и других служащих" (утв. Постановлением Минтруда России от 21.08.1998 N 37) (ред. от 12.02.2014) Инженер-программист (программист)***  

![qr код](http://qrcoder.ru/code/?http%3A%2F%2Fbizlog.ru%2Feks%2Feks-1%2F131.htm&4&0)  
 
Помимо QR-кода можно перейти по обычной [ссылке](http://bizlog.ru/eks/eks-1/131.htm)



